Bug 1318109 - [RFE] Please show Wubi table code when in pinyin mode
Summary: [RFE] Please show Wubi table code when in pinyin mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 06:20 UTC by Mike FABIAN
Modified: 2016-04-05 16:21 UTC (History)
7 users (show)

Fixed In Version: ibus-table-1.9.12-1.fc24 ibus-table-1.9.12-1.fc23 ibus-table-1.9.12-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 17:26:35 UTC
Type: Bug


Attachments (Terms of Use)
show-table-codes.png (368.03 KB, image/png)
2016-03-16 08:06 UTC, Mike FABIAN
no flags Details
0001-Show-the-table-code-in-the-candidate-list-when-pinyi.patch (3.17 KB, patch)
2016-03-16 08:08 UTC, Mike FABIAN
no flags Details | Diff

Description Mike FABIAN 2016-03-16 06:20:09 UTC
https://github.com/ibus/ibus/issues/1846

Peng Wu> In China, when people use Wubi to input some characters,
Peng Wu> they may forget the Wubi code to input Chinese characters,
Peng Wu> then they use pinyin mode to input that character.
Peng Wu> 
Peng Wu> But he may want to know the Wubi code to input that character,
Peng Wu> next time he will use Wubi code to input it.
Peng Wu> 
Peng Wu> Fcitx Wubi will display Wubi table code when in pinyin mode.
Peng Wu> Could ibus-table support this feature?

Comment 1 Mike FABIAN 2016-03-16 08:06:28 UTC
Created attachment 1136897 [details]
show-table-codes.png

cangjie5 shown on left, wubi-jidian on the right.

Comment 2 Mike FABIAN 2016-03-16 08:08:36 UTC
Created attachment 1136899 [details]
0001-Show-the-table-code-in-the-candidate-list-when-pinyi.patch

Comment 3 Mike FABIAN 2016-03-16 08:10:00 UTC
The attachment in comment#1 shows how it looks like with the patch in comment#2.

Comment 4 Fedora Update System 2016-03-16 09:18:54 UTC
ibus-table-1.9.12-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9668f9969e

Comment 5 Fedora Update System 2016-03-16 09:19:31 UTC
ibus-table-1.9.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92bc7d819a

Comment 6 Fedora Update System 2016-03-16 09:20:07 UTC
ibus-table-1.9.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebb9df5b07

Comment 7 Fedora Update System 2016-03-18 14:59:46 UTC
ibus-table-1.9.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebb9df5b07

Comment 8 Fedora Update System 2016-03-18 23:56:07 UTC
ibus-table-1.9.12-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9668f9969e

Comment 9 Fedora Update System 2016-03-19 01:26:53 UTC
ibus-table-1.9.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92bc7d819a

Comment 10 Fedora Update System 2016-04-04 17:26:31 UTC
ibus-table-1.9.12-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-05 13:54:16 UTC
ibus-table-1.9.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-05 14:18:50 UTC
ibus-table-1.9.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-05 16:21:20 UTC
ibus-table-1.9.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.